> ## Documentation Index
> Fetch the complete documentation index at: https://docs.theauthapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post api keys



## OpenAPI

````yaml post /api-keys
openapi: 3.0.0
info:
  title: Auth API
  description: Auth API swagger spec
  version: 0.3.4
  contact: {}
servers:
  - url: https://api.theauthapi.com
security: []
tags:
  - name: auth_api_v1
    description: ''
paths:
  /api-keys:
    post:
      operationId: ApiKeyController_generateClientKey
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateClientKeyDTO'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateClientKeyDTO:
      type: object
      properties:
        name:
          type: string
        projectId:
          type: string
        key:
          type: string
        customMetaData:
          type: object
        customAccountId:
          type: string
        rateLimitConfigs:
          $ref: '#/components/schemas/RateLimitConfiguration'
        customUserId:
          type: string
        expiry:
          format: date-time
          type: string
        clientIP:
          type: string
        clientUserAgent:
          type: string
      required:
        - name
    RateLimitConfiguration:
      type: object
      properties: {}

````